/etc/default/hplip inconsistency on dapper->hardy upgrade

Bug #211377 reported by Martin Pitt on 2008-04-03
4
Affects Status Importance Assigned to Milestone
hplip (Ubuntu)
Medium
Till Kamppeter

Bug Description

Binary package hint: hplip

--- fresh-hardy-install/etc/default/hplip 1970-01-01 01:00:00.000000000 +0100
+++ dapper-hardy-upgrade/etc/default/hplip 2006-04-27 14:39:21.000000000 +0200
@@ -0,0 +1,4 @@
+# Set RUN_HPLIP to no (anything starting with an n or N),
+# if hplip should not be started (i.e.: RUN_HPLIP=no)
+
+RUN_HPLIP=yes

If the current hardy init script still evaluates the default file, it should exist on a fresh installation, too. If it does not use the default file any more, it should be removed on upgrade.

Martin Pitt (pitti) wrote :

Till, can you please have a look at this?

Changed in hplip:
assignee: nobody → till-kamppeter
importance: Undecided → Medium
milestone: none → ubuntu-8.04
Till Kamppeter (till-kamppeter) wrote :

Fix committed to Debian SVN repository, Ubuntu package coming soon.

Changed in hplip:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hplip - 2.8.2-0ubuntu6

---------------
hplip (2.8.2-0ubuntu6) hardy; urgency=low

  * debian/control: Let hpijs depend on foomatic-filters (LP: #187403).
  * debian/control, debian/hplip.links: Added missing links to utilities
    hp-check and hp-scan. Added dependency on python-imaging for hp-scan.
  * debian/rules: Corrected filter name from "foomatic-rip-hplip" to
    "foomatic-rip" (LP: #211382).
  * debian/hplip.preinst: Remove obsolete /etc/default/hplip file before
    installation of the hplip binary package (LP: #211377).

 -- Till Kamppeter <email address hidden> Thu, 3 Apr 2008 22:28:52 +0200

Changed in hplip:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers